# Dravik Dataset Management

This module provides a comprehensive dataset management system for machine learning operations, including:

- Dataset import from multiple sources (HuggingFace, local files, URLs)
- Dataset validation and quality checking
- Dataset versioning and metadata tracking
- Format conversion between different standardized formats
- Efficient storage and retrieval
- Dataset exploration and visualization tools
- Export capabilities for various ML frameworks

## Usage

The dataset module can be accessed through the CLI with `dravik dataset` commands or programmatically through the Python API.

## Supported Dataset Formats

- JSONL (line-delimited JSON)
- CSV/TSV
- Parquet
- HuggingFace datasets
- Custom formats with adaptable converters

## Examples

See the `examples/` directory for example scripts and notebooks.
